> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.nukio.mx/nukio-api/device/lost-vehicles/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.nukio.mx/_mcp/server. # lostVehicles GET https://app.nukio.mx/api/v1/events/activations/lostVehicles/authorization Reference: https://developers.nukio.mx/nukio-api/device/lost-vehicles ## Authentication - `authorization` header (required) — API Key authentication via header ## Response ### 200 OK - `success` (string, required) - `status_code` (string, required) - `lostVehicleCount` (integer, required) - `lostVehicleItems` (list of ApiV1EventsActivationsLostVehiclesAuthorizationGetResponsesContentApplicationJsonSchemaLostVehicleItemsItems, required) ## Types ### ApiV1EventsActivationsLostVehiclesAuthorizationGetResponsesContentApplicationJsonSchemaLostVehicleItemsItems - `type` (string, required) - `deviceId` (string, required) - `vehicleId` (string, required) - `lastReport` (string, required) ## Examples **Response** ```json { "success": "1", "status_code": "200", "lostVehicleCount": 4, "lostVehicleItems": [ { "type": "", "deviceId": "newdeviceid", "vehicleId": "", "lastReport": "1970/01/01 00:00:00" }, { "type": "suntech_st4315_fuel", "deviceId": "mvaprueb", "vehicleId": "mvaprueb", "lastReport": "2026/05/20 16:57:10" }, { "type": "locker", "deviceId": "lockalex", "vehicleId": "", "lastReport": "2026/03/25 14:58:23" }, { "type": "suntech_st4315_fuel", "deviceId": "01", "vehicleId": "01", "lastReport": "2026/04/29 14:19:19" } ] } ``` **SDK Code** ```python Device_lostVehicles_example import requests url = "https://app.nukio.mx/api/v1/events/activations/lostVehicles/authorization" headers = {"authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Device_lostVehicles_example const url = 'https://app.nukio.mx/api/v1/events/activations/lostVehicles/authorization'; const options = {method: 'GET', headers: {authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Device_lostVehicles_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.nukio.mx/api/v1/events/activations/lostVehicles/authorization" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Device_lostVehicles_example require 'uri' require 'net/http' url = URI("https://app.nukio.mx/api/v1/events/activations/lostVehicles/authorization") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["authorization"] = '' response = http.request(request) puts response.read_body ``` ```java Device_lostVehicles_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.nukio.mx/api/v1/events/activations/lostVehicles/authorization") .header("authorization", "") .asString(); ``` ```php Device_lostVehicles_example request('GET', 'https://app.nukio.mx/api/v1/events/activations/lostVehicles/authorization', [ 'headers' => [ 'authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp Device_lostVehicles_example using RestSharp; var client = new RestClient("https://app.nukio.mx/api/v1/events/activations/lostVehicles/authorization"); var request = new RestRequest(Method.GET); request.AddHeader("authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift Device_lostVehicles_example import Foundation let headers = ["authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.nukio.mx/api/v1/events/activations/lostVehicles/authorization")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```